using System;
using System.IO;

namespace com.macromedia.mesh.Flash
{
	/// <summary>
	/// Summary description for FlashFile.
	/// </summary>
	abstract public class FlashFile
	{
		protected FileInfo innerFile;

		public FlashFile(FileInfo innerFile)
		{
			this.innerFile = innerFile;
		}

		public FlashFile(string fileName)
		{
			this.innerFile = new FileInfo(fileName);
		}

		public FlashFile()
		{
		}

		protected FileInfo InnerFile
		{
			get
			{
				return innerFile;
			}
			set
			{
				innerFile = value;
			}
		}

		public string FullName
		{
			get
			{
				return innerFile.FullName;
			}
		}

		public string Name
		{
			get
			{
				return innerFile.Name;
			}
		}

		public bool Exists
		{
			get
			{
				return innerFile.Exists;
			}
		}

		public FileStream Create()
		{
			return innerFile.Create();
		}
	}
}
