using System;
using System.IO;

namespace com.macromedia.mesh.utils
{

	public class WindowsUtils
	{
		private WindowsUtils()
		{
		}

		public static DirectoryInfo GetTempDirectory()
		{
			String tmpPath = System.Environment.GetEnvironmentVariable("TEMP");

			if(tmpPath == null)
			{
				tmpPath = System.Environment.GetEnvironmentVariable("TMP");
			}

			if(tmpPath == null)
			{
				throw new Exception("Could not locate temp directory.");
			}

			return new DirectoryInfo(tmpPath);

		}
	}

}
